/***************************************************************************
 *   Copyright (C) 2011 by Herbert Roider                                  *
 *   herbert.roider@utanet.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*
 * ReticleView.h
 *  Created on: 04.01.2011
 */

#ifndef RETICLEVIEW_H_
#define RETICLEVIEW_H_

#include <QWidget>
#include <QGraphicsLineItem>
#include "Armbrust.h"

class ReticleView : public QWidget{
Q_OBJECT

	bool ok_y;
	bool ok_z;
	utility::vector_3d setting;
public:
	QGraphicsScene *scene;
	ReticleView(QWidget *parent = 0, Qt::WindowFlags f = 0 );
	virtual ~ReticleView();
	void setCrossbow(CArmbrust crossbow);
	utility::vector_3d getSetting(bool &ok) {
		ok = false;
		if(ok_y && ok_z)
			ok = true;
		return setting;
	}




private slots:

	void itemSelected(QGraphicsItem *);
	void selectionChanged();



};

#endif /* RETICLEVIEW_H_ */
