/***************************************************************************
 *   Copyright (C) 2010 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*
 * calc_crosshair_dlg.h
 *  Created on: 30.08.2009
 */

#ifndef CALC_CROSSHAIR_DLG_H_
#define CALC_CROSSHAIR_DLG_H_

#include "calc_velocity_dlg.h"

//class arrow_list_model;


class calc_crosshair_dlg  : public calc_velocity_dlg
{
    Q_OBJECT
public:
	calc_crosshair_dlg(QWidget *parent);
	virtual ~calc_crosshair_dlg();
	//    ~calc_inclination_of_sight_dlg();
    void set_values(CArmbrust &a);
    void init(CArmbrust &a, ArrowTreeModel *p );
    void print_result(CArmbrust &a, CPfeil &p);
    utility::vector_3d m_sight_setting;// targetpoint from sight system

protected slots:

  void on_cmdCalc_clicked();
};

#endif /* CALC_CROSSHAIR_DLG_H_ */
