/***************************************************************************
 *   Copyright (C) 2010 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef CALC_ENERGY_FROM_VELOCITYDLG_H
#define CALC_ENERGY_FROM_VELOCITYDLG_H

#include <QWidget>
#include "ui_Calc_Energy_from_VelocityDlg_base.h"
#include "ArrowTreeModel.h"
#include <QMessageBox>
#include <QTextStream>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "Armbrust.h"

//#include <q3groupbox.h>
#include <QTextEdit>
/**
  *@author Herbert Roider
  */

class Calc_Energy_from_VelocityDlg : public QDialog  {
   Q_OBJECT
public:
	Calc_Energy_from_VelocityDlg(ArrowTreeModel *p, CArmbrust &a,
                                  QWidget *parent=0);
	~Calc_Energy_from_VelocityDlg();




protected:
    double m_dGeschwindigkeit;
    double m_dEnergie;
    CArmbrust & m_Armbrust;
	CArmbrust m_tempArmbrust;//tempor�e Armbrust

    ArrowTreeModel *m_arrow_list_model;
    void accept();
protected slots:
    void cmdBerechnen_click();

/** No descriptions */
    int Ergebnis_ausgeben();

private:
    Ui::Calc_Energy_from_VelocityDlg_base ui;


};

#endif


